****************************** REPLICATION FILE ********************************
		*************************************************************
		* This File replicates the tables used to build 	 		*
		* tables 14 and 15.	 										*
		* It uses the instruments generated in 1.gravity.do			*
		*************************************************************



 ********************** Appendix : tables 14 and 15 ***************************


foreach x in lcds llp lsd_return_stock_price_ lzscore lev mean2_lrmes mean2_srisk delta_covar delta_covar_equ {

* no controls
xtreg `x' count_bank_dum  t_*, robust fe
outreg2 using `x'_dummy, tex label drop(t_*) ctitle(OLS)  nocon replace

xtivreg2 `x' (count_bank_dum = bank_p_kjt)   t_*, first robust savefirst  small fe
outreg2 using `x'_dummy, tex label drop(t_*) ctitle(IV2)     addstat(F-Test 1st, `e(widstat)'   ) nocon

xtivreg2 `x' (count_bank_dum = bank_p_kjt_dum) t_* , first robust savefirst  small fe
outreg2 using `x'_dummy, tex label drop(t_*) ctitle(IV2dummy)     addstat(F-Test 1st, `e(widstat)'   ) nocon

* controls 2
xtreg `x' count_bank_dum  ltot_assets roa_k income_diversity asset_diversity tier1_to_asset deposits_to_asset t_* , robust fe
outreg2 using `x'_dummy, tex label drop(t_*) ctitle(OLS)   nocon 

xtivreg2 `x' (count_bank_dum = bank_p_kjt)   ltot_assets roa_k income_diversity asset_diversity tier1_to_asset deposits_to_asset t_* , first robust savefirst  small fe
outreg2 using `x'_dummy, tex label drop(t_*) ctitle(IV2)     addstat(F-Test 1st, `e(widstat)'   ) nocon

xtivreg2 `x' (count_bank_dum = bank_p_kjt_dum)   ltot_assets roa_k income_diversity asset_diversity tier1_to_asset deposits_to_asset t_* , first robust savefirst  small fe
outreg2 using `x'_dummy, tex label drop(t_*) ctitle(IV2dummy)     addstat(F-Test 1st, `e(widstat)'   ) nocon
}
